local core = LibStub("AceAddon-3.0"):GetAddon("tomQuest2")
local module = core:NewModule("informations", "AceEvent-3.0")
local LI = LibStub("AceLocale-3.0"):GetLocale("tomQuest2-QuestsInformations")


local defaults = {
	profile = {
		questsLogInformations = true,
		lightHeadedInformations = true,
	},
}

local prdb
function module:OnInitialize()
	self.db = core.db:RegisterNamespace("informations", defaults, "Default")
	prdb = self.db.profile
end

module.modName = LI["Quests Informations"]

local options
function module:getOptions()
	if not options then
		options = {
			type = "group",
			name = module.modName,
			desc = module.modName,
			get = function(info) 
				return prdb[info[#info]]
			end,
			set = function(info, value)
				prdb[info[#info]] = value
			end,
			args = {
				questsLogInformations = {
					name = LI["Toggle quests Log Informations"],
					type = "toggle",
					width = "full",
					order = 10,
				},
				lightHeadedInformations = {
					name = LI["Toggle LightHeaded Informations"],
					type = "toggle",
					width = "full",
					order = 11,
				},
			},
		}
	end
	return options 
end


function module:OnEnable()
	core.RegisterCallback(self, "displayQuestInformations")
end

function module:OnDisable()
	core.UnregisterAllCallbacks(self)
end


function module:displayQuestInformations(event, uid)
	if not core.quests[uid] then return end
end